# Uses of Interface
org.apache.wiki.api.core.Command

Packages that use Command
Package
Description
org.apache.wiki.api.core
JSPWiki's central API.
org.apache.wiki.api.spi
JSPWiki's SPI package.

## Uses of Command in org.apache.wiki.api.core

Subinterfaces of Command in org.apache.wiki.api.core
Modifier and Type
Interface
Description
`interface`
`Context`
Provides state information throughout the processing of a page.
Methods in org.apache.wiki.api.core that return Command
Modifier and Type
Method
Description
`Command`
Context.`getCommand()`
Returns the Command associated with this Context.
`Command`
Command.`targetedCommand(Object target)`
Creates and returns a targeted Command by combining a target, such as a WikiPage or GroupPrincipal into the existing Command.

## Uses of Command in org.apache.wiki.api.spi

Methods in org.apache.wiki.api.spi with parameters of type Command
Modifier and Type
Method
Description
`Context`
ContextDSL.`create(Engine engine, jakarta.servlet.http.HttpServletRequest request, Command command)`
Creates a new Context for the given Engine, Command and HttpServletRequest.
`Context`
ContextSPI.`create(Engine engine, jakarta.servlet.http.HttpServletRequest request, Command command)`
Creates a new Context for the given Engine, Command and HttpServletRequest.